CentOS安装php-mbstring错误

我试图在PHP版本7的CentOS 6.7上安装mbstring:</ p>


yum --enablerepo = remi install php-mbstring </ p>
</ blockquote>

,但是我收到此错误:</ p>


php70w-与php-common-5.4.45-11.el6.remi.x86_64的常见冲突</ p>
</ blockquote>

CentOS使用默认的PHP版本5.3 (我想),但在一周之前我将它更新为PHP 7,现在,当我想安装mbstring时,我看到了这个错误。
我该如何解决这个问题?</ p>
</ div>

展开原文

原文

I am trying to install mbstring on CentOS 6.7 with PHP version 7 :

yum --enablerepo=remi install php-mbstring

, but I get this error:

php70w-common conflicts with php-common-5.4.45-11.el6.remi.x86_64

CentOS was with default PHP version 5.3 (I think), but before a week I updated it to PHP 7 and now, when I want to install mbstring I see this error. How can I fix this ?

2个回答



这不是一个remi包。 他的包看起来像 php-common </ code>,而不是 php70w-common </ code>。 您需要编辑 /etc/yum.repos.d/remi.repo </ code>并为其站点启用PHP 7 repo。</ p>

一旦你' 做到这一点,确定哪个回购正在为您提供 php70w </ code>文件并将其排除。</ p>
</ div>

展开原文

原文

That's not a remi package. His packages look like php-common, not php70w-common. You'll need to edit the /etc/yum.repos.d/remi.repo and enable the PHP 7 repo for his site.

Once you've done that, identify which repo is feeding you php70w files and exclude them.

dsfs587465
dsfs587465 我只是重新安装PHP,然后安装mbstring,如果这对some1的帮助。
大约 4 年之前 回复



用于PHP 7的php-mbstring不在“remi”存储库中,但在“remi-php70”存储库中,请参阅配置向导。</ p>
</ div>

展开原文

原文

php-mbstring for PHP 7 is not in "remi" repository but in "remi-php70" repository, see the Configuration Wizard.

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问